Skip to content

Create folder

POST
/api/folder

Create a new folder under an optional parent.

Authorizations

Token

Format: token <value>. Types: user (session) or uploader (API token).

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"name": "string",
  
"parentId": "string"
}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"ownerId": "string",
  
"parentId": "string",
  
"files": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"mime": "string",
  
  
  
"size": "string",
  
  
  
"ownerId": "string",
  
  
  
"folderId": "string",
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"shareId": "string"
  
  
}
  
],
  
"folders": [
  
  
{
  
  
}
  
],
  
"createdAt": "string",
  
"updatedAt": "string",
  
"shareId": "string"
}

Playground

Server
Authorization
Body

Samples